DF(1)

NAME
df - display free disk space

SYNOPSIS
df [-ink] [-t type] [file | filesystem ...]

DESCRIPTION
Df displays statistics about the amount of free disk space on the specified filesystem or on the filesystem of which file is a part. Values are displayed in 512-byte per block block counts. If neither a file or a filesystem operand is specified, statistics for all mounted filesystems are displayed (subject to the -t option below).

The following options are available:

-i  Include statistics on the number of free inodes.

-k  Use 1024-byte (1-Kbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-n  Print out the previously obtained statistics from the filesystems. This option should be used if it is possible that one or more filesystems are in a state such that they will not be able to provide statistics without a long delay. When this option is specified, df will not request new statistics from the filesystems, but will respond with the possibly stale statistics that were previously obtained.

-t  Only print out statistics for filesystems of the specified types. The recognized types are: ufs, nfs, mfs, lfs, msdos, fdesc, portal, kernfs, procfs, afs and isofs. along with the aggregates: all (the default), local (ufs, mfs, lfs, msdos, isofs), and misc (fdesc, portal, kernfs, procfs). The string ``no'' may be prepending to a type to get its complement (e.g. ``nonfs'' to get non-NFS filesystems). The first -t option overrides the default, additional such options will add to (or subtract from) the current set of types; e.g. either ``df -t ufs -t lfs'' or ``df -t local -t nomfs'' will display statistics for UFS and LFS filesystems.

ENVIRONMENTAL VARIABLES

BLOCKSIZE
    If the environmental variable BLOCKSIZE is set, the block counts will be displayed in units of that size block.

BUGS
The -n and -t flags are ignored if a file or filesystem is specified.

SEE ALSO
quota(1), statfs(2), fstatfs(2), getfsstat(2), getmntinfo(3), fstab(5), mount(8), quot(8)

HISTORY
A df command appeared in AT&T UNIX.